const APP_DISPLAY_NAME = "LJPost";
const APP_NAME = "ljpost";
const APP_PACKAGE = "/Vadim Kolontsov/LJPost";
const APP_VERSION = "1.03";

const APP_JAR_FILE = "ljpost.jar";
const APP_CONTENT_FOLDER = "content/ljpost/";

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef,regchromeflag;

if(confirm("Install this into the application directory?  (Cancel will install into your profile directory)")) {
  chromef = getFolder("Chrome");
  regchromeflag = DELAYED_CHROME;
} else {
  chromef = getFolder("Profile", "chrome");
  regchromeflag = PROFILE_CHROME;
}

var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null)
if(err == SUCCESS) { 
	var jar = getFolder(chromef, APP_JAR_FILE);
	registerChrome(CONTENT | regchromeflag, jar, APP_CONTENT_FOLDER);
	err = performInstall();
	if(err == SUCCESS | err == REBOOT_NEEDED) {
		alert(APP_NAME + " " + APP_VERSION + " has been succesfully installed.\n"
			+"Please restart your browser before continuing.");
	} else { 
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else { 
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to firebird/chrome directory). \n"
		+"\nError code:" + err);
	cancelInstall(err);
}
